Bug 215128 - Autoconfiguration of monitor misidentifies Sony CPD-17sf2, 1024x768 is highest resolution
Summary: Autoconfiguration of monitor misidentifies Sony CPD-17sf2, 1024x768 is highes...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-11 08:14 UTC by J.B. Nicholson-Owens
Modified: 2018-04-11 16:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 19:10:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A backup of my old xorg.conf. (568 bytes, text/plain)
2006-11-18 18:17 UTC, J.B. Nicholson-Owens
no flags Details
My current xorg.conf. (926 bytes, text/plain)
2006-11-18 18:18 UTC, J.B. Nicholson-Owens
no flags Details
My current xorg log. (64.02 KB, text/plain)
2006-11-18 18:20 UTC, J.B. Nicholson-Owens
no flags Details
My old xorg log. (59.31 KB, text/plain)
2006-11-18 18:22 UTC, J.B. Nicholson-Owens
no flags Details

Description J.B. Nicholson-Owens 2006-11-11 08:14:44 UTC
Description of problem:
The x.org that comes with FC6 misidentifies the Sony CPD-17sf2 monitor.  As a
result, the highest resolution available is 1024x768.  Manually setting the
monitor in the Display Settings panel greatly increases the number of
resolutions available.

Version-Release number of selected component (if applicable):
I'm not sure which package to query to supply this information.

How reproducible:
Every time.

Steps to Reproduce:
1. Install FC6 on a system with a Sony CPD-sf2 (or 17sf II) monitor.
2. Notice that the available screen resolutions, by default, top out at 1024x768.
  
Actual results:
You can't go to a higher resolution without setting the monitor make/model in
the display settings control panel.

Expected results:
Autoconfiguration would pick the right make/model automatically.

Additional info:

Comment 1 Matěj Cepl 2006-11-14 14:17:18 UTC
Thanks for the bug report.  We have reviewed the information you
have provided above, and there is some additional information we
require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X
server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link
below.

We will review this issue again once you've had a chance to attach
this information.

Thanks in advance.

Comment 2 J.B. Nicholson-Owens 2006-11-18 18:17:23 UTC
Created attachment 141560 [details]
A backup of my old xorg.conf.

I believe this is my old xorg.conf, the one FC6 made when I installed FC6.

Comment 3 J.B. Nicholson-Owens 2006-11-18 18:18:43 UTC
Created attachment 141561 [details]
My current xorg.conf.

My current xorg.conf which works well.	I made this by using the GUI program
named in the file by specifying my monitor make & model manually.

Comment 4 J.B. Nicholson-Owens 2006-11-18 18:20:57 UTC
Created attachment 141562 [details]
My current xorg log.

My current xorg log.

Comment 5 J.B. Nicholson-Owens 2006-11-18 18:22:03 UTC
Created attachment 141563 [details]
My old xorg log.

My old xorg log.

Comment 6 Adam Jackson 2007-03-28 16:36:54 UTC
Both of those logs appear to show the same result, picking the exact same mode.

Try starting X with the HorizSync and VertRefresh lines commented out of the
config file.  That should reproduce the 1024x768 limit.  Copy that
/var/log/Xorg.0.log aside, and then uncomment the sync lines and restart X, and
attach that X log.

Comment 7 Adam Jackson 2007-05-26 19:10:15 UTC
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.